<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>HTML TABLES</title>
</head>
<body>
	<h2 align="center">Welcome to the Table Page</h2>

	<ul>
		<li>
			<a href="./index.html">Index Page</a>
		</li>
		
		<li>
			<a href="./form.html">Form Page</a>
		</li>
		
		<li>
			<a href="../activity/contact.html">Contact Page</a>
		</li>
	</ul>
	<!-- div is a containter of text and other elements or even other dics. It represents a division in our pag. The difference between a span and a dic is that a dic is displayed as a block element. -->
	
	<!-- id atribute allows us to add a unique identifier to a unique element in a page. id allows us to design a particular element or even add JS features to that element. the value of attribute user defined-->

	<!-- Semantic Div, a semantic dic is a div which uniquely identified with an id that clearly defines the content and the purpose of the div. -->
	
	<div id="mainContent">
		<h3>HTML Entities</h3>
		<p>
			<em>There are reserved characters in HTML. (e.g. &lt; or &gt;)</em>
		</p>

		<p>
			HTML Entities start with an ampersand (&) and end with a semicolon (;)
		</p>
		<!-- tables are created by using the table tag -->
		<!-- border attribute allows to modify the thickness ot the tables' border. -->
		<table border="1">
			<!-- tables can be divided by thead,tbody,tfoot

				 thead will contain all the table headers or labels per column 

				 tbody contains the actual table data

				 tfoot will contain a footer which is additional information about the table-->

			<thead>
				<!-- tr table row, it allows to properly contain our th or tds in a row. -->
				<tr>
				<!-- th means table header it allows us to add cells which will be our headers. Texts in th are bolded. -->
				<!-- colspan attribute determines how many columns a cell (th or td) will occupy. -->
				<th colspan="2">Entity</th>
				<th>Description</th>
				</tr>
			</thead>
			<tbody>
				<!-- td means table data. It allows to add cells with our actual table data. Text here are not bolded -->
				<tr>
					<td>&lt;</td>
					<td>lt</td>
					<td>Less than</td>					
				</tr>

				<tr>
					<td>&lt;</td>
					<td>gt</td>
					<td>Greater Than</td>
				</tr>

				<tr>
					<td>&#8369;</td>
					<td>#8369</td>
					<td>Peso sign</td>
				</tr>
				
				<tr>
					<td>&amp;</td>
					<td>amp</td>
					<td>Ampersand</td>
				</tr>

				<tr>
					<td>&quot;</td>
					<td>quot</td>
					<td>Double Quotation Mark</td>
				</tr>
				<tr>
					<td>&apos;</td>
					<td>apos</td>
					<td>Apostrophe (single Quotation Mark)</td>
				</tr>
				<tr>
					<td>&ntilde;</td>
					<td>ntilde</td>
					<td>Lower Tilde</td>
				</tr>
				<tr>
					<td>&Ntilde;</td>
					<td>Ntilde</td>
					<td>Upper Tilde</td>
				</tr>
			</tbody>

			<tfoot>
				<tr>
					<th colspan="3">These are some common HTML Entities. There are more to be learned.</th>
				</tr>
			</tfoot>				
		</table>

		<hr>
		<h3>My Product List</h3>
		<table border="1">
			<thead>
				<tr>
					<th>Name</th>
					<th>Price</th>
					<th>Description</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td>Mentos</td>
					<td>&#8369;1</td>
					<td>Mint candy</td>
				</tr>

				<tr>
					<td>Piattos</td>
					<td>&#8369;15</td>
					<td>Chips</td>
				</tr>
				<tr>
					<td>Coke</td>
					<td>&#8369;15</td>
					<td>Softdrink</td>
				</tr>
				<tr>
					<td>Summit</td>
					<td>&#8369;15</td>
					<td>Bottled Water</td>
				</tr>
				<tr>
					<td>Marlboro</td>
					<td>&#8369;8</td>
					<td>Cigarette</td>
				</tr>
			</tbody>
		</table>
	</div>

</body>
</html>